Bug 1675336 - luminance-hdr: FTBFS in Fedora rawhide/f30
Summary: luminance-hdr: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: luminance-hdr
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Franco Comida
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 20:47 UTC by Fedora Release Engineering
Modified: 2019-05-08 01:12 UTC (History)
3 users (show)

Fixed In Version: luminance-hdr-2.5.1-20.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-08 01:12:23 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 20:47 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 20:47 UTC, Fedora Release Engineering
no flags Details
state.log (649 bytes, text/plain)
2019-02-11 20:47 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 20:47:54 UTC
luminance-hdr failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32411985


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix luminance-hdr at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
luminance-hdr will be orphaned. Before branching of Fedora 31,
luminance-hdr will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 20:47:56 UTC
Created attachment 1531104 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 20:47:57 UTC
Created attachment 1531105 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 20:47:59 UTC
Created attachment 1531106 [details]
state.log

Comment 4 Franco Comida 2019-02-15 02:26:58 UTC
Could it be a gcc 9 bug?

Comment 5 Fedora Release Engineering 2019-04-26 23:29:20 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 6 Fedora Update System 2019-04-29 20:05:18 UTC
luminance-hdr-2.5.1-20.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9049645f1c

Comment 7 Fedora Update System 2019-04-30 02:49:27 UTC
luminance-hdr-2.5.1-20.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9049645f1c

Comment 8 Fedora Update System 2019-05-08 01:12:23 UTC
luminance-hdr-2.5.1-20.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.